Skip to content
API referencePlatformPlatform billing

Create or replace an IAP product → plan mapping

POST
/platform/v1/billing/{vendor}/products

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

vendor*string

apple | google

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/billing/string/products" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",    "product_id": "string"  }'
{  "active": true,  "created_at": "2019-08-24T14:15:22Z",  "plan_id": "00713021-9aea-41da-9a88-87760c08fa72",  "price_id": "5eff5d89-979e-4e4f-aa76-6cbbbf11362c",  "product_id": "string",  "product_type": "auto_renewable",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "updated_at": "2019-08-24T14:15:22Z",  "vendor_type": "stripe"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}